/* 
 *  Copyright (c) 2009, 2010 Mariano Street <mctpyt@delphosproject.org>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "adaptors/scopeadaptor.hpp"
#include "scope.hpp"

#include <QtCore/QString>

#include <QtDBus/QDBusAbstractAdaptor>


//==============================================================================
//= Builders                                                                   =
//==============================================================================


ScopeAdaptor::ScopeAdaptor(Scope * p_obj)
    : QDBusAbstractAdaptor(p_obj),
      m_obj(p_obj)
{
}


//==============================================================================
//= Getters and setters                                                        =
//==============================================================================


QString ScopeAdaptor::dir() const
{
    return m_obj->dir();
}


void ScopeAdaptor::setDir(const QString & p_path)
{
    m_obj->setDir(p_path);
}
