/* 
 *  Copyright (c) 2009, 2010 Mariano Street <mctpyt@delphosproject.org>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "core.hpp"
#include "defaults.hpp"
#include "adaptors/scopeadaptor.hpp"

#include <QtCore/QLocale>

#include <QtDBus/QDBusConnection>


//==============================================================================
//= Builders                                                                   =
//==============================================================================


ScopeCore::ScopeCore(int     p_argc,
                     char ** p_argv)
: QApplication(p_argc, p_argv)
{
    setOrganizationName(ORGANIZATION);
    setOrganizationDomain(DOMAIN);
    setApplicationName(APPLICATION);
    
    translate();
}


//==============================================================================
//= Other methods                                                              =
//==============================================================================


void ScopeCore::setupDBus(Scope * p_obj)
{
    // Set up the D-Bus interface.
    new ScopeAdaptor (p_obj);
    QDBusConnection connection ("org.netfilter.pgl");
    connection = connection.connectToBus(QDBusConnection::SystemBus, "org.netfilter.pgl");
    
    connection.registerObject("/Main", p_obj);
    connection.registerService(SERVICENAME);
}


void ScopeCore::translate()
{
    locale = QLocale::system().name();
    lang.load(LOCALEDIR + locale);
    installTranslator(&lang);
}
