/* 
 *  Copyright (c) 2010, 2011 Carlos Pais <freemind@lavabit.com>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <QThread>
#include <QString>
#include <QStringList>
#include <QDir>
#include <QDirIterator>
#include <QFileSystemModel>

class FolderSize : public QThread
{
    
    QString directory;
    QList<QModelIndex> m_indexes;
    QFileSystemModel * m_filesystem;
    qint64 m_totalSize;
    int m_totalFiles;
    int m_totalFolders;
    bool m_running;
    
    public:
        FolderSize(const QString&);
        FolderSize(const QList<QModelIndex>&, QFileSystemModel*);
        FolderSize();
        void init();
        void run();
        int getTotalFiles();
        int getTotalFolders() {return m_totalFolders; }
        qint64 getTotalSize();
        void setDir(QString);
        void stopProcessing();
};
