/* 
 *  Copyright (c) 2009, 2010 Mariano Street <mctpyt@delphosproject.org>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "iconset.hpp"
#include "defaults.hpp"

#include <QtCore/QString>
#include <QtCore/QTextStream>

#include <QtGui/QIcon>


//==============================================================================
//= Builders                                                                   =
//==============================================================================


IconSet::IconSet(const QString & p_theme,
                 const QString & p_dir)
: m_dir(p_dir),
  m_theme(p_theme)
{
    if (m_dir.isEmpty())
    {
        m_dir = ICONDIR;
    }
    if (m_theme.isEmpty())
    {
        m_theme = ICONTHEME;
    }
    m_path = m_dir + '/' + m_theme + '/';
}


//==============================================================================
//= Methods                                                                    =
//==============================================================================


/* getIcon:
       Get a specific icon.
       Parameters:
           p_name -> Icon name.
*/
QIcon IconSet::getIcon(const QString & p_name) const
{
    return QIcon(m_path + p_name);
}

QString IconSet::getIconPath(const QString & p_name) const
{
    return m_path + p_name;
}
