// IconSet: provides a simple way of accessing icon collections.

/* 
 *  Copyright (c) 2009, 2010 Mariano Street <mctpyt@delphosproject.org>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef _HPP_DELPHOS_ICONSET_
#define _HPP_DELPHOS_ICONSET_


#include <QtCore/QString>

#include <QtGui/QIcon>


class IconSet
{
public:
    
    // Builders.
    IconSet(const QString & p_theme = "",
            const QString & p_dir   = "");
    
    // Methods.
    QIcon getIcon(const QString & p_name) const;
    QString getIconPath(const QString & p_name) const;
    
private:
    
    QString m_dir;
    QString m_theme;
    QString m_path;
};


#endif
