/* 
 *  Copyright (c) 2010, 2011 Carlos Pais <freemind@lavabit.com>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "completer.hpp"


Completer::Completer(QObject *parent)
    :QCompleter(parent)
{
    return_pressed = false;
}

Completer::Completer(QAbstractItemModel * model, QObject *parent)
    :QCompleter(parent)
{
    setModel(model);
    return_pressed = false;
    focus_in = false;
}

Completer::Completer(const QStringList & list, QObject *parent)
    :QCompleter(parent)
{
    return_pressed = false;
}



bool Completer::eventFilter(QObject *o, QEvent *e)
{
    //qDebug() << "Completer: " <<e->type();
    if (e->type() == QEvent::KeyPress)
    {
        
        QKeyEvent *ke = static_cast<QKeyEvent *>(e);
        if (ke->key() == Qt::Key_Return)
        {
            QString classname(o->metaObject()->className());
            
            if (classname.compare("QListView") == 0)
            {
                qDebug() << "enter pressed!!!\n";
                //qDebug() << o->metaObject()->className();
                QListView *listview = static_cast<QListView* >(o);
                return_pressed = true;
                popup()->hide();
                //return true; //returning true makes the event die now
                return false;
            }
        }
    
    }
    //if (e->type() == QEvent::MouseButtonPress)
    //    return true; //returning true makes the event die now
    return_pressed = false;
    return QCompleter::eventFilter(o, e);
}


