/* 
 *  Copyright (c) 2010, 2011 Carlos Pais <freemind@lavabit.com>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef COMPLETER_H
#define COMPLETER_H

#include <QCompleter>
#include <QTextStream>
#include <QDebug>
#include <QEvent>
#include <QKeyEvent>
#include <QLineEdit>
#include <QListView>

class Completer : public QCompleter
{
    
    Q_OBJECT
    
    public:
        Completer(QObject * parent=0);
        Completer(QAbstractItemModel * model, QObject *parent=0);
        Completer(const QStringList & list, QObject *parent=0);
        bool return_pressed;
        bool focus_in;
        
    protected:
       bool eventFilter(QObject *o, QEvent *e);
       
    
    private:
        QLineEdit *lineedit; //parent
    
};

#endif
