/* 
 *  Copyright (c) 2010, 2011 Carlos Pais <freemind@lavabit.com>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "filesystemmodel.hpp"


 FileSystemModel::FileSystemModel(QObject *parent)
     : QFileSystemModel(parent)
 {
     setFilter( QDir::AllDirs |
                QDir::System |
                QDir::NoDotAndDotDot);
 }


 QVariant FileSystemModel::data(const QModelIndex &index, int role) const
{
     if (role == Qt::DisplayRole && index.column() == 0) {
         QString path  = QDir::toNativeSeparators(filePath(index));
         if (path.endsWith(QDir::separator()))
             path.chop(1);
         return path;
         
     }

    return QFileSystemModel::data(index, role);

 
 }

