/* 
 *  Copyright (c) 2010, 2011 Carlos Pais <freemind@lavabit.com>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef PATHLINE_H
#define PATHLINE_H

#include <QPushButton>
#include <QString>
#include <QTextStream>
#include <QList>
#include <QFileSystemModel>
#include <QMenu>
#include <QWidgetAction>
#include <QScrollArea>
#include <QTreeWidget>
#include <QHeaderView>
#include <QFileSystemModel>
#include <QCompleter>
#include <QChar>
#include <QString>
#include <QEvent>
#include <QDebug>
#include <QDir>
#include <QApplication>

#include "lineedit.h"
#include "completer.hpp"
#include "filesystemmodel.hpp"

class PathLine : public LineEdit
{
    Q_OBJECT

public:
    PathLine(QFileSystemModel *, QWidget *parent=0);
    void setVisible(bool p_visible);
    void addButtons(QString);
    QString path;
    void setModel(QFileSystemModel*);
    void insertText(const QString &);


protected:
    void mousePressEvent(QMouseEvent  * event);
    void focusOutEvent(QFocusEvent * e);
    bool hasDirs(QString);
    bool event (QEvent *e);
    

private:
    void init();
    QList<QPushButton*> buttons;
    QFileSystemModel *model;
    FileSystemModel *completer_model;
    QHash<QPushButton*, QString> buttonsPath;
    QHash<QPushButton*, QString> buttonsPath2;
    QPushButton *current_button_pressed;
    QMenu *mainmenu;
    //QCompleter *completer;
    Completer *completer;
    QColor color_in_use;

private slots:
    void showMenu();
    void goTo();
    void goTo(QTreeWidgetItem *, int);
    void release();
    void returnPressed();
    void popupClicked(const QModelIndex &);
};

#endif // PathLine_H
