/* 
 *  Copyright (c) 2010, 2011 Carlos Pais <freemind@lavabit.com>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef SCOPEMODEL_H
#define SCOPEMODEL_H

#include <QFileSystemModel>
#include <QHash>
#include <QPersistentModelIndex>
#include <QFileIconProvider>
#include <QFileInfo>
#include <QIcon>
#include <QPixmap>
#include <QPainter>
#include <QSpacerItem>
#include <QList>
#include <QSortFilterProxyModel>
#include <QDir>
#include <QTextStream>
#include <QIcon>
#include <QProcess>
#include <QUrl>
#include <QDebug>

#include "file_icon_provider.hpp"


class QFileSystemModel;


class ScopeModel : public QFileSystemModel 
{
    Q_OBJECT

    FileIconProvider m_iconProvider;

public:
    ScopeModel(QObject* parent = 0);
    ~ScopeModel();
    QVariant data(const QModelIndex & index, int role) const;
    void setCutFilesList(QList<QUrl>);
    QSize getIconSize();
    void clearCutFiles();
    void setIconSize(int, int);
    QIcon icon(const QFileInfo&);

public slots:
    void showThumbnails(bool);
    

protected:
    static QPixmap * m_blankPixmap;
    QSize m_iconSize;
    
private:
    QList<QUrl> cut_files;
    bool m_hasVersionData;

    
};


#endif // SCOPEMODEL_H
