################################################################################
###                                                                          ###
###   <scope.pro> Scope project file                                         ###
###                                                                          ###
################################################################################

TEMPLATE     = app
TARGET       = scope
DESTDIR 	= ..
#CONFIG		+= qt debug_and_release warn_on build_all
#MOC_DIR 	= ../.moc

DEPENDPATH  += . ../locale dialogs adaptors right_panel
INCLUDEPATH += . ../lib dialogs adaptors right_panel

QT += dbus xml

CONFIG(debug, debug|release) {
    OBJECTS_DIR = ../.objs_d
    LIBS 	+= -L.. ../libqtermwidget_d.a
} else {
    OBJECTS_DIR = ../.objs
    LIBS 	+= -L.. ../libqtermwidget.a
}


# Input.

HEADERS      += core.hpp \
                defaults.hpp \
                filterlineedit.hpp \
                iconset.hpp \
                scope.hpp \
                systemdir.hpp \
                dialogs/aboutdelphos.hpp \
                dialogs/aboutscope.hpp \
                dialogs/properties.hpp \
				dialogs/folder_size.hpp\
                adaptors/scopeadaptor.hpp \
                searchlineedit.h\
                clearbutton.h \
                searchbutton.h \
                lineedit.h \
                lineedit_p.h\
                zoom_level.hpp \
                scope_model.hpp\
                path_lineedit/completer.hpp\
                path_lineedit/filesystemmodel.hpp\
                path_lineedit/pathline.hpp\
		        right_panel/imagerenderer.h\
		        right_panel/previewwidget.h\
                qtcopydialog.h\
                qtfilecopier.h\
                file_icon_provider.hpp\
                utils.hpp\
                freedesktopmime.hpp
				
                

SOURCES      += core.cpp \
                main.cpp \
                filterlineedit.cpp \
                iconset.cpp \
                scope.cpp \
                systemdir.cpp \
                dialogs/aboutdelphos.cpp \
                dialogs/aboutscope.cpp \
                dialogs/properties.cpp \
				dialogs/folder_size.cpp\
                adaptors/scopeadaptor.cpp \
                searchlineedit.cpp\
                clearbutton.cpp \
                searchbutton.cpp\
                lineedit.cpp\
                zoom_level.cpp \
                scope_model.cpp\
                path_lineedit/completer.cpp\
                path_lineedit/filesystemmodel.cpp\
                path_lineedit/pathline.cpp\
		        right_panel/imagerenderer.cpp\
		        right_panel/previewwidget.cpp\
		        qtcopydialog.cpp\
		        qtfilecopier.cpp\
                file_icon_provider.cpp\
                utils.cpp\
                freedesktopmime.cpp


FORMS        += scope.ui \
                dialogs/aboutdelphos.ui \
                dialogs/aboutscope.ui \
                dialogs/properties.ui\
		        right_panel/previewwidget.ui\
		        qtcopydialog.ui\
		        qtotherdialog.ui\
		        qtoverwritedialog.ui

RESOURCES += scope.qrc

TRANSLATIONS += ../locale/en.ts \
                ../locale/eo.ts \
                ../locale/es.ts \
                ../locale/pt_BR.ts \
                ../locale/pt_PT.ts
