/* 
 *  Copyright (c) 2010, 2011 Carlos Pais <freemind@lavabit.com>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


#include "zoom_level.hpp"

int ZoomLevel::minimumLevel()
{
    return 0;
}

int ZoomLevel::maximumLevel()
{
    return 16;
}

int ZoomLevel::iconSizeForZoomLevel(int level)
{
    int size;
    
    switch(level)
    {
        case 0: size = 16; break;
        case 1: size = 22; break;
        case 2: size = 32; break;
        case 3: size = 48; break; 
        case 4: size = 64; break;
        case 5: size = 80; break;
        case 6: size = 96; break;
        case 7: size = 112; break;
        case 8: size = 128; break;
        case 9: size = 144; break;
        case 10: size = 160; break;
        case 11: size = 176; break;
        case 12: size = 192; break;
        case 13: size = 208; break;
        case 14: size = 224; break;
        case 15: size = 240; break;
        case 16: size = 256; break;
    }
    
    return size;
}

int ZoomLevel::zoomLevelForIconSize(int iconSize)
{
    int size;
    
    switch(iconSize)
    {
        case 16: size = 0; break;
        case 22: size = 1; break;
        case 32: size = 2; break;
        case 48: size = 3; break; 
        case 64: size = 4; break;
        case 80: size = 5; break;
        case 96: size = 6; break;
        case 112: size = 7; break;
        case 128: size = 8; break;
        case 144: size = 9; break;
        case 160: size = 10; break;
        case 176: size = 11; break;
        case 192: size = 12; break;
        case 208: size = 13; break;
        case 224: size = 14; break;
        case 240: size = 15; break;
        case 256: size = 16; break;
    }
    
    return size;
}
